<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>S04: HTML Attributes and Links</title>
</head>
<body>

	<h2 align="center" id="top">HTML Attributes</h2>	

	<!-- The align attribute changes the alignment of the paragraph -->
	<p align="center"><em>Modifiers of element behavior</em></p>


	<h2>HTML Images</h2>

	<p align="right"> 
		<em>
			An image can be shown using &lt; img &gt; tag along with its <strong>src</strong> attribute
		</em>
	</p>
	<!-- Adds an image using absolute linking. -->
	<img src="https://place-puppy.com/300x300">
	<p>
		<code>
			&lt; img src="https://place-puppy.com/300x300" &gt;
		</code>
	</p>

	<!-- HTML tags wrapped inside an anchor tag will become a clickable element -->
	<a href="https://place-puppy.com">
		<img src="https://place-puppy.com/300x300">
	</a>



	<!-- Adds an image using relative linking -->
	<img src="./images/zuittlogo.png">	
	<p>
		<code>
			&lt; img src="./images/zuittlogo.png" &gt;
		</code>
	</p>

	<p>Valid image extensions are the following:</p>
	<!-- type attribute can be "a", "A", "i", or "I" -->
	<ol type="a" reversed>
		<li>png</li>
		<li>jpg</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>
	</ol>

	<p>
		Take a look at the w3schools attribute reference 
		<a href="https://www.w3schools.com/tags/ref_attributes.asp"
		target="_blank" >
			here
		</a>
	</p>


	<h2>HTML Links</h2>

	<h4>Absolute Link</h4>

	<!-- Creates a hyperlink element that redirects to a different page. -->
	<a href="https://zuitt.co" target="_blank">I'm a hyperlink</a>


	<h4>Relative Links</h4>

	<!-- This one redirects to the link.html file -->
	<p>Go to <a href="./link.html">link.html</a></p>

	<!-- This one redirects to the HTML element with the top ID attribute -->
	<p>Go to <a href="#top">top</a></p>


</body>
</html>